Subject: Algorithm parameters for symmetric algorithms in EncryptedValue

From: "Christopher Williams" <[email-masked]>
Date: Thu, 30 Mar 2000 16:11:16 +0100

In the EncryptedValue structure, the symmAlg member, like most members, is
optional.  This, I guess, is for when communication between an EE and CA is
always done using 3-DES and never using RC4, for example.  However, one
passes important information with the AlgorithmIdentifier, e.g.:

DES / 3-DES - the IV
RC2 - the IV and the effective key length

If one does not set the symmAlg member, there is no way of passing this
information between the EE and CA; therefore, should one ever set the
parameters, even if symmAlg is set?

Chris Williams,
NetLexis